System 4.0.0.0 System.Collections.ObjectModel.ReadOnlyCollection<T> T System.Collections.Specialized.INotifyCollectionChanged System.ComponentModel.INotifyPropertyChanged System.Runtime.CompilerServices.TypeForwardedFrom("WindowsBase, Version=3.0.0.0, PublicKeyToken=31bf3856ad364e35") To be added.

This class is a read-only wrapper around an . If changes are made to the underlying collection, the reflects those changes. To be notified of the changes to this class, subscribe to the or event.

Represents a read-only .

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Event
  4.0.0.0
  System.Collections.Specialized.NotifyCollectionChangedEventHandler

  For more information, see .

  Occurs when an item is added or removed.

- Method
  4.0.0.0
  System.Void `` To be added.

  Raises the event using the provided arguments.

  Arguments of the event being raised.
- Method
  4.0.0.0
  System.Void `` To be added.

  Raises the event using the provided arguments.

  Arguments of the event being raised.
- Event
  4.0.0.0
  System.ComponentModel.PropertyChangedEventHandler

  For more information, see .

  Occurs when a property value changes.